a13nDocs

列出文件

GET/api/v1/memories/{memory_id}/files

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

路径参数

memory_id*Memory Id

查询参数

prefix?Prefix

以 "/" 结尾的目录;"" 列出全部文件

长度length <= 1024
默认值""
limit?Limit
范围1 <= value <= 100
默认值50
cursor?string|null

请求头参数

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

响应体

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/memories/string/files"
{  "items": [    {      "created_at": "2019-08-24T14:15:22Z",      "description": "string",      "id": "string",      "path": "string",      "size": 0,      "updated_at": "2019-08-24T14:15:22Z",      "updated_by_principal_id": "string",      "updated_by_run_id": "string",      "version": 0    }  ],  "next_cursor": "string"}